#global _with_gen4asm 1

Name:		intel-vaapi-driver
Version:	2.4.1
Release:	4%{?dist}
Summary:	HW video decode support for Intel integrated graphics
Group:		System Environment/Libraries
License:	MIT and EPL
URL:		http://freedesktop.org/wiki/Software/vaapi
Source0:	https://github.com/intel/intel-vaapi-driver/releases/download/%{version}/intel-vaapi-driver-%{version}.tar.bz2


Patch1:		intel_u64.patch
ExclusiveArch:	%{ix86} x86_64 ia64

Obsoletes: libva-intel-driver < %{version}

#BuildRequires:	libtool

%{?_with_gen4asm:BuildRequires: pkgconfig(intel-gen4asm)}
BuildRequires:	pkgconfig(libudev)
BuildRequires:	libXext-devel
BuildRequires:	libXfixes-devel
#BuildRequires:	libdrm-devel >= 2.4.23
BuildRequires:	libpciaccess-devel
BuildRequires:	libva-devel >= 1.3.0
BuildRequires:	mesa-libGL-devel
BuildRequires:	mesa-libEGL-devel
%if 0%{?fedora} > 16 || 0%{?rhel} > 6
%{!?_without_wayland:
BuildRequires:  wayland-devel
BuildRequires:  pkgconfig(wayland-client) >= 1
BuildRequires:  pkgconfig(wayland-scanner) >= 1
}
%endif


%description
HW video decode support for Intel integrated graphics.


%prep
%setup -q

%if 0%{?rhel} && 0%{?rhel} < 7 
%patch1 -p0
%endif

%{?_with_gen4asm:
#Move pre-built (binary) asm code
for f in src/shaders/vme/*.g?b ; do
  mv ${f} ${f}.prebuilt
done
for f in src/shaders/h264/mc/*.g?b* ; do
  mv ${f} ${f}.prebuilt
done
}


%build
autoreconf -vif
%configure --disable-static
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot} INSTALL="install -p"
find %{buildroot} -regex ".*\.la$" | xargs rm -f --

%{?_with_gen4asm:
#Display a diff between prebuit ASM and our generation
gendiff . .prebuilt
}


%files
%doc AUTHORS COPYING NEWS README
%{_libdir}/dri/i965_drv_video.so


%changelog
* Thu Aug 18 2022 Stephen Collier <stephen.collier.gmail.com> - 2.4.1-4
- Update to 2.3.0.

* Mon Oct 28 2019 Stephen Collier <stephen.collier.gmail.com> - 2.3.0-3
- Update to 2.3.0.

* Tue Sep 18 2018 Stephen Collier <stephen.collier.gmail.com> - 2.2.0-2
- Update to 2.2.0.

* Wed Feb 14 2018 Stephen Collier <stephen.collier.gmail.com> - 2.1.0-1
- Update to 2.1.0.

* Mon Oct 23 2017 Stephen Collier <stephen.collier.gmail.com> - 2.0.0-1
- Update to 2.0.0.

* Fri Jul 7 2017 Stephen Collier <stephen.collier.gmail.com> - 1.8.3-8
- Update to 1.8.3.

* Fri Jun 2 2017 Stephen Collier <stephen.collier.gmail.com> - 1.8.2-7
- Update to 1.8.2.

* Mon May 1 2017 Stephen Collier <stephen.collier.gmail.com> - 1.8.1-6
- Update to 1.8.1.

* Tue Mar 4 2017 Stephen Collier <stephen.collier.gmail.com> - 1.8.0-5
- Update to 1.8.0.

* Fri Dec 9 2016 Stephen Collier <stephen.collier@gmail.coom> - 1.7.3-4
- Update to 1.7.3

* Sat Oct 8 2016 Stephen Collier <stephen.collier@gmail.coom> - 1.7.2-3
- Update to 1.7.2

* Sun Jun 26 2016 Stephen Collier <stephen.collier@gmail.coom> - 1.7.1-2
- Update to 1.7.1

* Sun Nov 08 2015 Stephen Collier <stephen.collier@gmail.coom> - 1.6.1-1
- Update to 1.6.1

* Mon Jun 02 2014 Nicolas Chauvet <kwizart@gmail.com> - 1.3.1-1
- Update to 1.3.1

* Sat Apr 12 2014 Nicolas Chauvet <kwizart@gmail.com> - 1.3.0-2
- Add missing wayland-scanner BR

* Sat Apr 12 2014 Nicolas Chauvet <kwizart@gmail.com> - 1.3.0-1
- Update to 1.3.0

* Tue Mar 04 2014 Nicolas Chauvet <kwizart@gmail.com> - 1.2.2-2
- Backport patch - rhbz#3193

* Mon Feb 17 2014 Nicolas Chauvet <kwizart@gmail.com> - 1.2.2-1
- Update to 1.2.2

* Tue Oct 01 2013 Nicolas Chauvet <kwizart@gmail.com> - 1.2.1-1
- Update to 1.2.1

* Wed Jun 26 2013 Nicolas Chauvet <kwizart@gmail.com> - 1.2.0-1
- Update to 1.2.0

* Wed Mar 20 2013 Nicolas Chauvet <kwizart@gmail.com> - 1.0.20-1
- Update to 1.0.20
- Spec file clean-up

* Fri Nov 09 2012 Nicolas Chauvet <kwizart@gmail.com> - 1.0.19-1
- Update to 1.0.19

* Fri Aug 03 2012 Nicolas Chauvet <kwizart@gmail.com> - 1.0.18-4
- Update to final 1.0.18

* Wed Jul 11 2012 Nicolas Chauvet <kwizart@gmail.com> - 1.0.18-3
- Switch to pkgconfig(libudev)

* Mon Jun 04 2012 Nicolas Chauvet <kwizart@gmail.com> - 1.0.18-1
- Update to 1.0.18

* Sat May 26 2012 Nicolas Chauvet <kwizart@gmail.com> - 1.0.15-4
- Introduce --with gen4asm

* Tue Jan 03 2012 Nicolas Chauvet <kwizart@gmail.com> - 1.0.15-3
- Add BR intel-gen4asm
- Move pre-built asm code
- Adjust license with EPL

* Mon Jan 02 2012 Nicolas Chauvet <kwizart@gmail.com> - 1.0.15-2
- Spec cleanup

* Thu Nov 03 2011 Nicolas Chauvet <kwizart@gmail.com> - 1.0.15-1
- Rename the package to libva-intel-driver

* Sun Aug 07 2011 Nicolas Chauvet <kwizart@gmail.com> - 1.0.14-1
- Update to 1.0.14

* Sat Jun 11 2011 Nicolas Chauvet <kwizart@gmail.com> - 1.0.13-2
- Fix typo when building --with full
- Requires at least the same libva version.

* Wed Jun 08 2011 Nicolas Chauvet <kwizart@gmail.com> - 1.0.13-1
- Update to 1.0.13

* Sun Apr 10 2011 Nicolas Chauvet <kwizart@gmail.com> - 1.0.12-1
- Update to 1.0.12

* Thu Mar 10 2011 Nicolas Chauvet <kwizart@gmail.com> - 1.0.10-1
- Switch to additional package using the freedesktop version
- Add git rev from today as patch

* Mon Feb 21 2011 Nicolas Chauvet <kwizart@gmail.com> - 1.0.10-1
- Update to 1.0.10

* Tue Jan 25 2011 Adam Williamson <awilliam@redhat.com> - 1.0.8-1
- bump to new version
- fix modded tarball to actually not have i965 dir
- merge with the other spec I seem to have lying around somewhere

* Wed Nov 24 2010 Adam Williamson <awilliam@redhat.com> - 1.0.6-1
- switch to upstream from sds branch (sds now isn't carrying any very
  interesting changes according to gwenole)
- pull in the dont-install-test-programs patch from sds
- split out libva-utils again for multilib purposes
- drop -devel package obsolete/provides itself too

* Tue Nov 23 2010 Adam Williamson <awilliam@redhat.com> - 0.31.1-3.sds4
- drop obsoletes and provides of itself (hangover from freeworld)

* Tue Nov 23 2010 Adam Williamson <awilliam@redhat.com> - 0.31.1-2.sds4
- fix the tarball to actually remove the i965 code (duh)

* Thu Oct 7 2010 Adam Williamson <awilliam@redhat.com> - 0.31.1-1.sds4
- initial package (based on package from elsewhere by myself and Nic
  Chauvet with i965 driver removed)
